Chromium Code Reviews
chromiumcodereview-hr@appspot.gserviceaccount.com (chromiumcodereview-hr) | Please choose your nickname with Settings | Help | Chromium Project | Gerrit Changes | Sign out
(78)

Unified Diff: platform_tools/android/bin/android_gdbserver

Issue 1806343003: Fix gdb debugging for the latest NDK release. (Closed) Base URL: https://skia.googlesource.com/skia.git@master
Patch Set: Created 4 years, 9 months ago
Use n/p to move between diff chunks; N/P to move between comments. Draft comments are only viewable by you.
Jump to:
View side-by-side diff with in-line comments
Download patch
« no previous file with comments | « platform_tools/android/bin/android_gdb_native ('k') | platform_tools/android/bin/android_setup.sh » ('j') | no next file with comments »
Expand Comments ('e') | Collapse Comments ('c') | Show Comments Hide Comments ('s')
Index: platform_tools/android/bin/android_gdbserver
diff --git a/platform_tools/android/bin/android_gdbserver b/platform_tools/android/bin/android_gdbserver
index a7b20bff9794cd315b945f5bebbc71ea8081b28a..d9d1d7eefdb09140ef8e20615904512aef181cdd 100755
--- a/platform_tools/android/bin/android_gdbserver
+++ b/platform_tools/android/bin/android_gdbserver
@@ -34,15 +34,11 @@ for library_file in \
libm.so \
liblog.so \
libz.so \
- libgccdemangle.so \
libsigchain.so \
libcutils.so \
libunwind.so \
- libunwind-ptrace.so \
libbacktrace.so \
libutils.so \
- libstlport.so \
- libGLES_trace.so \
libEGL.so \
libGLESv2.so \
; do
@@ -76,8 +72,10 @@ $ADB forward "tcp:5039" "tcp:5039"
# Kill all previous instances of gdbserver and the app to rid all port overriding errors.
echo "Killing any running Skia processes."
-$ADB shell ps | grep gdbserver | awk '{print $2}' | xargs $ADB shell kill
-$ADB shell ps | grep ${APP_NAME} | awk '{print $2}' | xargs $ADB shell kill
+set +e
+$ADB shell ps | grep gdbserver | awk '{print $2}' | xargs $ADB shell kill 2> /dev/null
+$ADB shell ps | grep ${APP_NAME} | awk '{print $2}' | xargs $ADB shell kill 2> /dev/null
+set -e
# Starting up gdbserver in android shell
echo "Starting gdbserver with command: ${APP_ARGS[@]}"
« no previous file with comments | « platform_tools/android/bin/android_gdb_native ('k') | platform_tools/android/bin/android_setup.sh » ('j') | no next file with comments »

Powered by Google App Engine
This is Rietveld 408576698